xlogin-makeidentity(8)

NAME
xlogin-makeidentity - Create an identity file for use with xlogin's -identity option

SYNOPSIS
xlogin-makeidentity [-h] [-help] [-user <username>] [-pass <password>] [-conf <name>]

DESCRIPTION
When used with command line arguments the program is interactive. It creates an identity file that contains an encrypted version of the username and password supplied. This utility in no way checks if those credentials are valid.

For clarity xlogin-makeidentity displays the name of the identity file its created. Creating a username the same as an existing username will cause the file to be overwritten.

OPTIONS

-h or -help or --help
    display a short help text

-user
    Specify a username

-pass
    Specify a password

-conf
    Use this path for xlogin files rather than the default /etc/xlogin

BUGS
It's considered poor practice for a utility to allow passwords to be passed on the command line. In this case I overlook that for ease of use when scripting.

AUTHOR
Jonathan Andrews (jon (at) jonshouse.co.uk)

SEE ALSO
xlogin-xdmcpserver(8) xlogin(8) xlogin-rootjpeg(8)